Update organization structure team custom fields

Use this endpoint to keep team metadata current or to schedule future organizational changes. Provide the custom field IDs to modify and use an effective date to schedule updates. Set the value to null to delete a field value. Token scopes: organizations:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

team_idstringRequiredformat: "uuid"

Public ID (UUID) of the HRIS team/organization structure

Request

This endpoint expects an object.
dataobjectRequired

Response

Organization structure custom fields updated successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error